#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - gcc10-fortran installation
#
# Creation   :  2021-05-15 holbru
# Last update:  $Id: install.sh 84948 2021-05-15 16:34:24Z hbfl $
#
# Copyright (c) 2021-2021 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=gcc10-fortran

# ---------------------------------------------------------------------------
# update-alternatives
# ---------------------------------------------------------------------------
ver=10
veri=103

# activate the best version
/usr/sbin/update-alternatives --auto gcc

# check what is the best version
best=$(/usr/sbin/update-alternatives --query gcc | /usr/bin/awk '/Best/ {print $2}')

# if the best version not this version, use this version manual  
if ! echo "${best}" | /usr/bin/grep -q "${ver}"
then
    echo "gcc manual /usr/bin/gcc-${ver}" | /usr/sbin/update-alternatives --set-selections >/dev/null 2>&1
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
